Name: jdom
Version: 1.0
Release: alt1

Summary: Java alternative to DOM and SAX
License: Apache Software License-like
Url: http://www.jdom.org/
Group: Development/Java
Source0: jdom-1.0.tar.bz2

Requires: jaxp_transform_impl
BuildPreReq: /proc rpm-build-java
BuildRequires: ant jaxp_transform_impl xml-commons-apis
BuildArch: noarch

%description
JDOM is, quite simply, a Java representation of an XML document. JDOM
provides a way to represent that document for easy and efficient
reading, manipulation, and writing. It has a straightforward API, is a
lightweight and fast, and is optimized for the Java programmer. It's an
alternative to DOM and SAX, although it integrates well with both DOM
and SAX.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%package demo
Summary: Demos for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n %name-%version
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/jaxp_transform_impl.jar
%add_classpath %_javadir/xml-commons-apis.jar
%ant_build package javadoc-link

%install
# jars
%__mkdir_p %buildroot%_javadir
%__cp -p build/%name.jar %buildroot%_javadir/

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -pr build/apidocs/* %buildroot%_javadocdir/%name

# demo
%__mkdir_p %buildroot%_datadir/%name
%__cp -pr samples %buildroot%_datadir/%name

%files
%doc *.txt
%_javadir/%{name}*.jar

%files javadoc
%_javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Thu Apr 07 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux Sisyphus

